<ion-header>
    <ion-navbar color="danger" (click)="removeSocket()">
        <ion-title>
            Route
        </ion-title>
    </ion-navbar>
</ion-header>


<ion-content >
    
   
    <div #map id="map"></div>
    <ion-item color="none" id="todo-list-item3" *ngFor="let item of items">
        <span [ngClass]="{'aktif' : item.id == idx}">{{item.outletname}}</span>
        <br>
        <span style="font-size:11px;color:#AAA;">Distance {{cordova[item.id]}} m</span>
        <br>
        <span *ngIf="item.checkin == 0" >
            <button *ngIf="cordova[item.id] <= ketetapanJarak ;else close;" ion-button (click)="toCheckin(idTask,item.id,item.oId)">Check In</button>
        </span>
        <ng-template #close>
            <button *ngIf="item.checkin == 0 && item.status == 1" disabled ion-button color="light" (click)="toCheckin(idTask,item.id,item.oId)">Check In</button>
        </ng-template>
        
        <!-- <button ion-button color="light" (click)="toViewActivity(idTask,item.id)" *ngIf="item.status != 0" >View Activity List </button> -->
        <button ion-button color="light" *ngIf="item.checkin == 1" (click)="toViewAll(item.oId)">All Activity</button>
        <button ion-button color="light" (click)="skip(item.id)" *ngIf="item.checkin == 0" >Skip</button>
    </ion-item>
    
    <div class="input-enduser" padding *ngIf="cekIUE.count > 0">
        <button ion-button block color="yellow" (click)="viewInputEndUser()">View Input End-User</button>
    </div>
    
    <div class="input-enduser" padding *ngIf="cekIUE.count == 0">
        <button ion-button block color="dark" (click)="inputEndUser()">Input End-User</button>
    </div>
    
</ion-content>